@keyframes scroll {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(-373%);
  }
}

.animate-scroll {
  display: flex;
  animation: scroll 10s linear infinite;
  will-change: transform;
}

.animate-scroll:hover {
  animation-play-state: paused;
}

.animate-scroll > div {
  display: flex;
  flex-shrink: 0;
  gap: 2rem;
}

:root {
  --purple: rgb(123, 31, 162);
  --violet: rgb(103, 58, 183);
  --pink: rgb(244, 143, 177);
}

@keyframes scale {
  from,
  to {
    transform: scale(0);
  }
  50% {
    transform: scale(1);
  }
}

@keyframes rotate {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(180deg);
  }
}

.magic {
  display: inline-block;
  position: relative;
}

.magic-star {
  --size: clamp(20px, 1.5vw, 30px);
  animation: scale 700ms ease forwards;
  display: block;
  height: var(--size);
  left: var(--star-left);
  position: absolute;
  top: var(--star-top);
  width: var(--size);
}

.magic-star > svg {
  animation: rotate 1000ms linear infinite;
  display: block;
  opacity: 0.7;
}

.magic-star > svg > path {
  fill: var(--violet);
}

.magic-text {
  background: linear-gradient(
    to right,
    var(--purple),
    var(--violet),
    var(--pink),
    var(--purple)
  );
  background-size: 200%;
  -webkit-background-clip: text;
  background-clip: text;
  -webkit-text-fill-color: transparent;
  white-space: nowrap;
}

.card {
  background-color: #3b3b3b;
  border-radius: inherit;
  cursor: pointer;
  display: flex;
  flex-wrap: wrap;
  position: relative;
  min-height: 100%;
}

.card:hover::before {
  opacity: 1;
}

.card::before,
.card::after {
  border-radius: inherit;
  content: "";
  height: 100%;
  left: 0px;
  opacity: 0;
  flex-direction: column;
  display: flex;
  position: absolute;
  top: 0px;
  transition: opacity 500ms;
  width: 100%;
  pointer-events: none;
}

.card::before {
  background: radial-gradient(
    800px circle at var(--mouse-x) var(--mouse-y),
    rgba(173, 173, 173, 0.226),
    transparent 40%
  );
  z-index: 3;
}

.card {
  background: radial-gradient(
    600px circle at var(--mouse-x) var(--mouse-y),
    rgba(255, 255, 255, 0.418),
    transparent 60%
  );
  z-index: 1;
}

.card > .card-content {
  background-color: #1b1b1b;
  border-radius: inherit;
  display: flex;
  flex-direction: column;
  padding: 1rem;
  margin: 1px;
  position: relative;
  z-index: 2;
  height: calc(100% - 2px);
  width: calc(100% - 2px);
}
